Package com.massivecraft.factions.scoreboards

## Class FScoreboard

- java.lang.Object
- - com.massivecraft.factions.scoreboards.FScoreboard

    public class FScoreboard
    extends java.lang.Object

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static FScoreboard` | `get​(FPlayer fplayer)` |
`static FScoreboard` | `get​(org.bukkit.entity.Player player)` |
`protected FPlayer` | `getFPlayer()` |
`protected org.bukkit.scoreboard.Scoreboard` | `getScoreboard()` |
`static void` | `init​(FPlayer fplayer)` |
`static boolean` | `isSupportedByServer()` |
`static void` | `remove​(FPlayer fplayer)` |
`void` | `setDefaultSidebar​(FSidebarProvider provider, int updateInterval)` |
`void` | `setSidebarVisibility​(boolean visible)` |
`void` | `setTemporarySidebar​(FSidebarProvider provider)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSupportedByServer

    public static boolean isSupportedByServer()

#### init

    public static void init​(FPlayer fplayer)

#### remove

    public static void remove​(FPlayer fplayer)

#### get

    public static FScoreboard get​(FPlayer fplayer)

#### get

    public static FScoreboard get​(org.bukkit.entity.Player player)

#### getFPlayer

    protected FPlayer getFPlayer()

#### getScoreboard

    protected org.bukkit.scoreboard.Scoreboard getScoreboard()

#### setSidebarVisibility

    public void setSidebarVisibility​(boolean visible)

#### setDefaultSidebar

    public void setDefaultSidebar​(FSidebarProvider provider,
                                  int updateInterval)

#### setTemporarySidebar

    public void setTemporarySidebar​(FSidebarProvider provider)